Printago API
POST /v1/settings/notifications/{id}/mentions

Add a Discord mention

Mention a Discord user or role (or `@everyone` / `@here`) whenever a given event is posted to a Discord channel. `mentionId` is the Discord user or role ID and is required for `user` and `role` mentions.

Requires: settings.edit

Path Parameters

id required
string
The Discord notification channel ID

Request Body

Event, mention type and Discord ID

CreateNotificationMentionRequest
eventrequired
enum
onJobSucceededonJobFailedonJobCancelledonJobStartedonPrinterHmsErroronPrinterHmsWarningonPrinterOfflineonPrinterOnlineonPrinterContinuousPrintDisabledonOrderCreatedManualonOrderCreatedRetailonOrderCancelledonOrderClosedonOrdersAutoPrintedonMaintenanceModeOnonMaintenanceModeOffonMaintenanceDueSoononMaintenanceOverdueonMaterialUsageRecordedonAiFailureDetected
labeloptional
string
mentionIdoptional
string
mentionTyperequired
"everyone" | "here" | "user" | "role"
everyonehereuserrole

Example Request

application/json
{
  "event": "onJobSucceeded",
  "mentionType": "everyone",
  "mentionId": "string",
  "label": "string"
}

Response Schema

NotificationMention
createdAtrequired
string
format: date-time
eventrequired
enum
onJobSucceededonJobFailedonJobCancelledonJobStartedonPrinterHmsErroronPrinterHmsWarningonPrinterOfflineonPrinterOnlineonPrinterContinuousPrintDisabledonOrderCreatedManualonOrderCreatedRetailonOrderCancelledonOrderClosedonOrdersAutoPrintedonMaintenanceModeOnonMaintenanceModeOffonMaintenanceDueSoononMaintenanceOverdueonMaterialUsageRecordedonAiFailureDetected
idrequired
string
pattern: ^[a-z0-9]{24}$
labelrequired
string
mentionIdrequirednullable
string
mentionTyperequired
"everyone" | "here" | "user" | "role"
everyonehereuserrole
notificationIdrequired
string
pattern: ^[a-z0-9]{24}$
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
updatedAtrequired
string
format: date-time

Example Response

201 OK — application/json
{
  "notificationId": "string",
  "event": "onJobSucceeded",
  "mentionType": "everyone",
  "mentionId": "string",
  "label": "string",
  "id": "string",
  "storeId": "string",
  "createdAt": "2025-01-15T12:00:00.000Z",
  "updatedAt": "2025-01-15T12:00:00.000Z"
}